QR कोड
GET https://0o0.online/api/qr-codes/
curl --request GET \
--url 'https://0o0.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| पैरामीटर | विवरण | विवरण |
|---|---|---|
| search | विकल्प तारों | खोज श्रृंखला |
| search_by | विकल्प तारों | आप किस फ़ील्ड की तलाश कर रहे हैं. अनुमति दी गई मूल्यों में शामिल हैं: name. |
| project_id | विकल्प कुल मिलाकर | |
| type | विकल्प तारों | आप किस फ़ील्ड की तलाश कर रहे हैं. अनुमति दी गई मूल्यों में शामिल हैं: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | विकल्प तारों | अनुमोदित मूल्य: datetime, last_datetime |
| datetime_start | विकल्प तारों | फ़िल्टर परिणाम इस तारीख से शुरू होता है। Y-m-d H:i:s प्रारूप है। |
| datetime_end | विकल्प तारों | इस तारीख तक फ़िल्टर परिणाम। Y-m-d H:i:s प्रारूप है। |
| order_by | विकल्प तारों | क्या फ़ील्ड के माध्यम से परिणामों को आदेश देने के लिए. अनुमति दी गई मूल्यों हैं: qr_code_id, datetime, last_datetime, name, type. |
| order_type | विकल्प तारों | परिणामों का आदेश. अनुमति देने वाले मूल्य हैं: ASC उतरने के लिए आदेश, और DESC आदेश देने के लिए नीचे। |
| page | विकल्प कुल मिलाकर | पृष्ठ संख्या जिससे आप परिणाम चाहते हैं. दोषों से 1. |
| results_per_page | विकल्प कुल मिलाकर | कितने परिणाम आप पृष्ठ के लिए चाहते हैं. अनुमति दी गई मूल्यों हैं: 10, 25, 50, 100, 250, 500, 1000. दोषों के लिए 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://0o0.online/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-10-16 01:39:13",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/qr-codes?page=1",
"last": "https://0o0.online/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/qr-codes?page=1"
}
}
GET https://0o0.online/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://0o0.online/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-10-16 01:39:13",
}
}
POST https://0o0.online/api/qr-codes
| पैरामीटर | विवरण | विवरण |
|---|---|---|
curl --request POST \
--url 'https://0o0.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://0o0.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \